Upstream information

CVE-2022-39327 at MITRE

Description

Azure CLI is the command-line interface for Microsoft Azure. In versions previous to 2.40.0, Azure CLI contains a vulnerability for potential code injection. Critical scenarios are where a hosting machine runs an Azure CLI command where parameter values have been provided by an external source. The vulnerability is only applicable when the Azure CLI command is run on a Windows machine and with any version of PowerShell and when the parameter value contains the `&` or `|` symbols. If any of these prerequisites are not met, this vulnerability is not applicable. Users should upgrade to version 2.40.0 or greater to receive a a mitigation for the vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.2
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None High
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1204747 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 azure-cli Not affected
SUSE Enterprise Storage 7.1 azure-cli Not affected
SUSE Linux Enterprise High Performance Computing 12 azure-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 12 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP4 azure-cli Not affected
SUSE Linux Enterprise Server 12 SP5 azure-cli Not affected
SUSE Linux Enterprise Server 15 SP4 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 azure-cli Not affected
SUSE Manager Proxy 4.2 azure-cli Not affected
SUSE Manager Proxy 4.3 azure-cli Not affected
SUSE Manager Retail Branch Server 4.2 azure-cli Not affected
SUSE Manager Retail Branch Server 4.3 azure-cli Not affected
SUSE Manager Server 4.2 azure-cli Not affected
SUSE Manager Server 4.3 azure-cli Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 azure-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 azure-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 azure-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 azure-cli Not affected
SUSE Linux Enterprise Server 12 SP4 azure-cli Not affected
SUSE Linux Enterprise Server 15 SP1 azure-cli Not affected
SUSE Linux Enterprise Server 15 SP2 azure-cli Not affected
SUSE Linux Enterprise Server 15 SP3 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 azure-cli Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 6 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 15 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP1 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP2 azure-cli Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP3 azure-cli Not affected
SUSE Linux Enterprise Server 12 azure-cli Not affected
SUSE Linux Enterprise Server 12 SP3 azure-cli Not affected
SUSE Linux Enterprise Server 15 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 12 azure-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 azure-cli Not affected
SUSE Manager Proxy 4.0 azure-cli Not affected
SUSE Manager Proxy 4.1 azure-cli Not affected
SUSE Manager Retail Branch Server 4.0 azure-cli Not affected
SUSE Manager Retail Branch Server 4.1 azure-cli Not affected
SUSE Manager Server 4.0 azure-cli Not affected
SUSE Manager Server 4.1 azure-cli Not affected


SUSE Timeline for this CVE

CVE page created: Wed Oct 26 10:00:49 2022
CVE page last modified: Mon Jan 30 12:20:20 2023